ENV['RK_REPORT_SERVER_HOST'] || raise('Please export RK_REPORT_SERVER_HOST env var first')
ENV['RK_REPORT_SERVER_PORT'] || raise('Please export RK_REPORT_SERVER_PORT env var first')

unless ENV['SEND_RK_RESULTS'] == 'false'
  ResultsKeeper.instance.send_revision

  Before do |scenario|
    ResultsKeeper.instance.test_started(scenario)
  end

  After do |scenario|
    ResultsKeeper.instance.send_test(scenario)
  end

  at_exit do
    ResultsKeeper.instance.send_revision_complete
  end
end
